Skip to main content

GET /lists/contacts

GET 

/lists/contacts

GET /lists/contacts

Request​

Query Parameters

    id int64[]
    shopify_customer_id int64[]
    stripe_customer_id string[]
    woocommerce_customer_id int64[]
    eshop_customer_id int64[]
    reg_no string
    tax_no string
    vat_no string
    business_name string
    from int32
    take int32
    search string
    sort string[]

Responses​

OK

Schema

    total int64nullable
    from int64nullable
    take int64nullable

    entities

    object[]

    nullable

  • Array [

  • id int64nullable
    uid uuid
    created_at date-timenullable
    type stringrequired

    Possible values: non-empty

    Default value: COM

    display_name stringrequired

    Possible values: non-empty

    business_name stringrequired

    Possible values: non-empty

    reg_no stringnullable
    tax_no stringnullable
    social_security_no stringnullable
    currency stringnullable
    payment_term int32nullable
    email stringnullable
    preferred_locale stringnullable
    shopify_customer_id int64nullable
    stripe_customer_id stringnullable
    woocommerce_customer_id int64nullable
    eshop_customer_id int64nullable

    billing_address

    object

    id int64nullable
    address1 stringnullable
    address2 stringnullable
    postal_code stringnullable
    city stringnullable
    country stringnullable
    region stringnullable
    subregion stringnullable

    shipping_address

    object

    id int64nullable
    address1 stringnullable
    address2 stringnullable
    postal_code stringnullable
    city stringnullable
    country stringnullable
    region stringnullable
    subregion stringnullable

    taxes

    object[]

    nullable

  • Array [

  • country stringnullable
    vat_no stringnullable
  • ]

  • ]

  • aggregations undefined[]nullable
Loading...